@echo off
rem +==========================================================================+
rem  SNTOOL Designer Startup script
rem  (c) 1999-2002 by DCA-FEEC-UNICAMP
rem  $Revision: 1.9 $
rem +==========================================================================+

rem ===========================================================================
rem === DEFINE YOUR CUSTOM SETTINGS HERE ======================================
rem ===========================================================================


rem Directory where SNTOOL is installed (usually l:\sntool) 
set SNTOOL_HOME=/home/rgudwin/Local/Projetos/Eletronorte/Java/sntool/.output/build/sntool

rem JDK installation dir (usually l:\j2sdk1.4.1)
set JAVA_HOME=/usr/share/jdk1.5.0_02/jre\..

rem Classpath to add the sntool classpath (usually empty)
set SNTOOL_CLASSPATH=

rem Execution profile: 'dev' or 'prod' (leave this alone)
set SNTOOL_PROFILE=prod

rem Look and Feel: metal, win, motif
set LOOK_AND_FEEL=win


rem ===========================================================================
rem DO NOT EDIT FROM THIS POINT ON!!!
rem ===========================================================================

set DEBUG=


rem -- Validation -------------------------------------------------------------

if NOT EXIST "%JAVA_HOME%"\lib\tools.jar goto badJAVA_HOME
if NOT EXIST "%SNTOOL_HOME%"\lib\sntool.jar goto badSNTOOL_HOME


rem -- Build CLASSPATH --------------------------------------------------------

set CP_PREFIX=
if not "%SNTOOL_CLASSPATH%"=="" set CP_PREFIX="%SNTOOL_CLASSPATH%";
set SNTOOL_CLASSPATH=%CP_PREFIX%"%JAVA_HOME%\lib\tools.jar";"%SNTOOL_HOME%\doc\help\sntool"

for %%i in ("%SNTOOL_HOME%"\lib\*.jar) do call "%SNTOOL_HOME%"\bin\cpappend.bat "%%i"
for %%i in ("%SNTOOL_HOME%"\lib\jh\*.jar) do call "%SNTOOL_HOME%"\bin\cpappend.bat "%%i"
for %%i in ("%SNTOOL_HOME%"\lib\ext\*.jar) do call "%SNTOOL_HOME%"\bin\cpappend.bat "%%i"


rem -- Execute SNTOOL ---------------------------------------------------------
:runJava

echo --------------------------------------------------------------------------
echo Using JAVA_HOME=%JAVA_HOME%
echo Using SNTOOL_HOME=%SNTOOL_HOME%
echo Using SNTOOL_CLASSPATH=%SNTOOL_CLASSPATH%
echo Using SNTOOL_PROFILE=%SNTOOL_PROFILE%
echo --------------------------------------------------------------------------
set MAIN_CLASS=ontool.app.App

set CLASSPATH=%SNTOOL_CLASSPATH%

start %JAVA_HOME%\bin\javaw -ea -Dprofile=%SNTOOL_PROFILE% -Xmx96m -server -Dlf=%LOOK_AND_FEEL% -Dsntool.home="%SNTOOL_HOME%" -cp %CLASSPATH% %MAIN_CLASS% %1 %2 %3 %4 %5

goto endScript


rem ---------------------------------------------------------------------------

:badSNTOOL_HOME
echo "[ERROR] Is SNTOOL_HOME variable pointing to the correct SNTOOL installation dir?"
echo Environment variable SNTOOL_HOME not set!
goto pausedEndScript

:badJAVA_HOME
echo "[ERROR] Is JAVA_HOME variable pointing to the correct JDK installation dir?"
goto pausedEndScript

:pausedEndScript
pause
goto pausedEndScript

:endScript
set CLASSPATH=
