#!/bin/bash
# +==========================================================================+
# | SNTOOL Designer Start-up script
# | (c) 1999-2002 by DCA-FEEC-UNICAMP
# | $Revision: 1.10 $
# +==========================================================================+

## CONFIGURATIONS ############################################################

# Directory where sntool is installed
SNTOOL_HOME=/home/rgudwin/Local/Projetos/Eletronorte/Java/sntool/.output/build/sntool

# JDK installation dir (usually /usr/java/...)
JAVA_HOME=/usr/share/jdk1.5.0_02/jre/..
 
SNTOOL_PROFILE=prod 

SNTOOL_CLASSPATH=
 
##############################################################################
# Do not edit from this point on

DEBUG1=X
DEBUG2=X
FOUND_ERROR=

[ -z "$DEBUG1" ] || echo ----------------------------------------------------------------
[ -z "$DEBUG1" ] || echo Using SNTOOL_HOME=$SNTOOL_HOME
[ -z "$DEBUG1" ] || echo Using JAVA_HOME=$JAVA_HOME

[ -z "$DEBUG1" ] || echo Checking $SNTOOL_HOME/lib/sntool.jar 

if [ ! -f $SNTOOL_HOME/lib/sntool.jar ]; then
    echo "[ERROR] Is SNTOOL_HOME variable pointing to the correct SNTOOL installation dir?"
    FOUND_ERROR=1
else
    [ -z "$DEBUG2" ] || echo "SNTOOL_HOME OK"
fi

[ -z "$DEBUG1" ] || echo Checking $JAVA_HOME/lib/tools.jar

if [ ! -f $JAVA_HOME/lib/tools.jar ]; then
    echo "[ERROR] Is JAVA_HOME variable pointing to the correct JDK installation dir?"
    FOUND_ERROR=1
else
    [ -z "$DEBUG2" ] || echo "JAVA_HOME OK"    
fi

if [ -n "$FOUND_ERROR" ]; then
    echo "Correct last error(s) and try again."
    exit 1
fi

########## JVM Startup

CORE_CP=$(for i in $SNTOOL_HOME/lib/*.jar ; do echo -n $i: ; done)
EXT_CP=$(for i in $SNTOOL_HOME/lib/ext/*.jar ; do echo -n $i: ; done)
JAVAHELP_CP=$(for i in $SNTOOL_HOME/lib/jh/*.jar ; do echo -n $i: ; done)
EXT_CP=$EXT_CP:$JAVA_HOME/lib/tools.jar
HELPSET_CP=$SNTOOL_HOME/doc/help/sntool

echo CORE_CP=$CORE_CP
echo EXT_CP=$EXT_CP

SNTOOL_CLASSPATH=$CORE_CP:$JAVAHELP_CP:$EXT_CP:$HELPSET_CP

[ -z $DEBUG1 ] || echo Using CLASSPATH=$SNTOOL_CLASSPATH
[ -z $DEBUG1 ] || echo ----------------------------------------------------------------

JAVA_OPTS=
MAIN_CLASS=ontool.app.App

$JAVA_HOME/bin/java \
	-ea \
	-Dprofile=$SNTOOL_PROFILE \
	-Dsntool.home="$SNTOOL_HOME" \
	-cp $SNTOOL_CLASSPATH  \
	$MAIN_CLASS $@



